BUS_CHILD_DETACHED(9)

NAME
BUS_CHILD_DETACHED - notify a bus device that a child was detached

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
BUS_CHILD_DETACHED(device_t dev, device_t child);

DESCRIPTION
The BUS_CHILD_DETACHED() method is invoked by the new-bus framework after a device is detached or if a driver's attach routine (see DEVICE_ATTACH(9)) fails. A bus driver can provide an implementation of this method to reclaim any resources allocated on behalf of the child or to cleanup state not properly released by a DEVICE_DETACH(9) method.

SEE ALSO
device(9), DEVICE_DETACH(9)